VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Types | Public Attributes | List of all members
FrameRate Struct Reference

    Frame Rate

A frame rate describes the number of image (frame) displayed per second. More...

`#include <ivstprocesscontext.h>`

## Public Types
enum | FrameRateFlags { kPullDownRate = 1 << 0, kDropRate = 1 << 1 }

## Public Attributes
uint32 | framesPerSecond
| frame rate
uint32 | flags
| flags FrameRateFlags

## Detailed Description

    Frame Rate

A frame rate describes the number of image (frame) displayed per second.

Some examples:

- 23.976 fps is framesPerSecond: 24 and flags: kPullDownRate
- 24 fps is framesPerSecond: 24 and flags: 0
- 25 fps is framesPerSecond: 25 and flags: 0
- 29.97 drop fps is framesPerSecond: 30 and flags: kDropRate|kPullDownRate
- 29.97 fps is framesPerSecond: 30 and flags: kPullDownRate
- 30 fps is framesPerSecond: 30 and flags: 0
- 30 drop fps is framesPerSecond: 30 and flags: kDropRate
- 50 fps is framesPerSecond: 50 and flags: 0
- 59.94 fps is framesPerSecond: 60 and flags: kPullDownRate
- 60 fps is framesPerSecond: 60 and flags: 0

## Member Enumeration Documentation

enum FrameRateFlags

Enumerator
kPullDownRate |
kDropRate |

## Member Data Documentation

uint32 framesPerSecond

frame rate

uint32 flags

flags FrameRateFlags

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.